// App
// -----------------------------------------------------------------------------
import { TypeAccount } from 'types/default';
import { GenericDashboardUiStore } from 'stores/GenericDashboardUiStore';

export class AccountsDashboardUiStore extends GenericDashboardUiStore<TypeAccount> {
  constructor() {
    super();
    this.override();
  }

  makeNewElement = (): TypeAccount => {
    return {
      comment: '',
      expire_date: null,
      modified: '',
      timezone: 'Europe/Moscow',
      user: {
        email: '',
        first_name: '',
        id: -1,
        is_active: true,
        username: '',
        password: '',
        old_password: '',
      },
    };
  };
}
